// JavaScript Document
var double_click_check=0;
$(document).ready(function(){
	
	var nowDate = new Date();
	var nowHour = nowDate.getHours();
/*	if(nowHour < 6 || 22 <= nowHour){
		$('#inpLoginMail').prop('disabled',true);
		$('#inpLoginPass').prop('disabled',true);
		$('#btnLogin').prop('disabled',true);
		$('#lnkSendPassMail').hide();
		modalAlert('0','利用時間外','ただいま、WebNaisは使用できません。6:00～22:00の間でアクセスしてください。');
		return false;
	}
*/	
	$('#form_A010').validate({
		ignore: [], //type="hidden"項目のエラーチェックを可能とする
		rules : {
			inpLoginMail : {
				required: true,
				email : true,
				maxlength : 120,
			},
			inpLoginPass : {
				required: true,
				maxlength : 12,
			},
		},
		messages: {
			inpLoginMail : {
				required: 'メールアドレスを入力して下さい。',
				email: 'メールアドレスを入力して下さい。',
				maxlength : '120桁以内で入力してください。',
			},
			inpLoginPass : {
				required: 'パスワードを入力して下さい。',
				maxlength : '12桁以内で入力してください。',
			},
		},
		errorClass: "formValidError",
		errorPlacement: function(error, element) {
			var parentObj = $(element).parent();
			parentObj.append(error);
			if(!$(error).hasClass('p-1')){ $(error).addClass('p-1'); }
			if(!$(error).hasClass('text-start')){ $(error).addClass('text-start'); }
		},
	});
	
	$('#form_SendMail').validate({
		ignore: [], //type="hidden"項目のエラーチェックを可能とする
		rules : {
			inpPassMail : {
				required: true,
				email : true,
				maxlength : 120,
			},
		},
		messages: {
			inpPassMail : {
				required: 'メールアドレスを入力して下さい。',
				email: 'メールアドレスを入力して下さい。',
				maxlength : '120桁以内で入力してください。',
			},
		},
		errorClass: "formValidError",
		errorPlacement: function(error, element) {
			var parentObj = $(element).parent();
			parentObj.append(error);
			if(!$(error).hasClass('p-1')){ $(error).addClass('p-1'); }
			if(!$(error).hasClass('text-start')){ $(error).addClass('text-start'); }
		},
	});
	
	$('#btnLogin').on('click',function(){
		if($('#form_A010').valid()){
			checkLogin();
		}
	});
	
	$('#btnSendMail').on('click',function(){
		if($('#form_SendMail').valid()){
			sendPassMail();
		}
	});
	callMessage();
	//DispStatus();
});

function DispStatus(){
   	//status = ("ようこそ"); 
	var chk1   = document.getElementById('hdn_chk1').value;

	if (chk1 === '1') {
		$('#mdlErrorContenrs').empty();
		$('#mdlErrorContenrs').append('<p>ユーザＩＤまたはパスワードが間違っています。</p>');
	}
	if (chk1 === '2') {
		$('#mdlErrorContenrs').empty();
		$('#mdlErrorContenrs').append('<p>ユーザＩＤまたはパスワードが間違っています。</p>');
	}
	if (chk1 === '3') {
		$('#mdlErrorContenrs').empty();
		$('#mdlErrorContenrs').append('<p>利用登録に失敗しました。ログインをやり直してください。</p>');
	}
	if(chk1 !== '0'){
		//$('#mdlError').show();
		var myModal= document.getElementById('mdlError');
		var modal= bootstrap.Modal.getOrCreateInstance(myModal)
		modal.show()
	}
}

function sendPassMail(){
	var param = {
		'appname': nasiappname,
		'prgname':'A922',
		'param1': nasiappname,
		'param2': $('#inpPassMail').val(),
		'arguments':'param1,param2'
	};
	$.ajax({
		async : false,
		url: '/Magic33Scripts/MGrqispi.dll',
		data : param,
		dataType:'xml',
		type : 'POST',
		scriptCharset: 'utf-8',
		success : function(xml){
			var ret = $(xml).find('ret').text();
			var msg = $(xml).find('message').text();
			if(ret != 'I001'){
				modalAlert('0','エラー！',msg);
			}else {
				modalAlert('0','','パスワード再設定メールを送信しました。',closePassMail);
			}
		},
		error : function(XMLHttpRequest, textStatus, errorThrown){
			modalAlert('0','System Error','システムにエラーが発生しています。管理者に連絡して下さい。');
		}
	});
}
function closePassMail(){
	var myModal= document.getElementById('mdlPassMail');
	var modal= bootstrap.Modal.getOrCreateInstance(myModal)
	modal.hide();
}

function setCookie(key,val){
	var life = new Date();
	life.setTime(life.getTime()+24*60*60*1000*30);
	document.cookie=key+"="+escape(val)+"; expires="+life.toGMTString()+"; ";
}


function getCookie(key)	{
	var strCookie = document.cookie;
	var strData = strCookie.split("; ");

	for(var i=0; i<strData.length; i++){
		var cookieValue = strData[i].split("=");
		if(key == cookieValue[0]){
			if (!cookieValue[1]){
				// undefined,null,""（空文字）の場合
				return null;
			}
			return unescape(cookieValue[1]);
		}
	}
	return null;
}

function callMessage(){
	var param = {
		'appname': nasiappname,
		'prgname':'A012',
		'param1': nasiappname,
		'arguments':'param1'
	};
	$.ajax({
		async : false,
		url: '/Magic33Scripts/MGrqispi.dll',
		data : param,
		dataType:'xml',
		type : 'POST',
		scriptCharset: 'utf-8',
		success : function(xml){
			var getVer = $(xml).find('ver').text();
			$(xml).find('msgLine').each(function(){
				var addHtml = '<span class="d-block loginMsgColor_'+ $(this).find('msgColorClass').text() +'">'+$(this).find('msgText').text()+'</span>';
				$('#divMessage').append(addHtml);
			});
			if(getVer !== chkVer){
				$('#inpLoginMail').prop('disabled',true);
				$('#inpLoginPass').prop('disabled',true);
				$('#btnLogin').prop('disabled',true);
				modalAlert('0','エラー！','バージョンが更新されています。再読み込みを行って下さい。');
			}
		},
		error : function(XMLHttpRequest, textStatus, errorThrown){
			modalAlert('0','System Error','システムにエラーが発生しています。管理者に連絡して下さい。');
			$('#inpLoginMail').prop('disabled',true);
			$('#inpLoginPass').prop('disabled',true);
			$('#btnLogin').prop('disabled',true);
		}
	});
}

function checkLogin(){
	var param = {
		'appname': nasiappname,
		'prgname':'A011',
		'param1': nasiappname,
		'param2': $('#inpLoginMail').val(),
		'param3': $('#inpLoginPass').val(),
		'arguments':'param1,param2,param3'
	};
	$.ajax({
		async : false,
		url: '/Magic33Scripts/MGrqispi.dll',
		data : param,
		dataType:'xml',
		type : 'POST',
		scriptCharset: 'utf-8',
		success : function(xml){
			var ret = $(xml).find('ret').text();
			var msg = $(xml).find('message').text();
			if(ret != 'I001'){
				modalAlert('0','エラー！',msg);
			}else {
				var ssid = $(xml).find('ssid').text();
				$('#hdnAppname').val(nasiappname);
				$('#paramAppName').val(nasiappname);
				$('#prgname').val('A020');
				$('#ssid').val(ssid);
				$('#menuForm').submit();
			}
		},
		error : function(XMLHttpRequest, textStatus, errorThrown){
			modalAlert('0','System Error','システムにエラーが発生しています。管理者に連絡して下さい。');
		}
	});
}

